VismaBouwsoftAPICalls.v1_PUT_AssignmentMachines Method
v1_PUT_AssignmentMachines() as String

This API call is used to update fields of a(n) AssignmentMachine

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentMachines/{id}

You make this API call with the key field id as the path parameter (the id of the AssignmentMachine you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcostmachines_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
machine_id 1 tpLong 0 No Yes No
nr 2 tpString 0 No Yes No
description 2 tpString 0 No Yes No
unit 2 tpString 0 No Yes No
unit_localized 2 tpString 0 No No No
quantity 4 tpDouble 0 No Yes No
from 20 tpTimeDouble 0 No Yes No
to 20 tpTimeDouble 0 No Yes No
break 20 tpTimeDouble 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No

/AssignmentMachines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentMachines/129

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: AmtfWxfrPlzSflAAAfzRqtklfVPIkGGjffDkzflDDIbItjkfOO

Query Parameters :
ParameterName: columns, ParameterValue: job_id%3D%7B%22v1_POST_Jobs%20%28test1%29%22%3A%20%22id%22%7D%2C%20unit%3D%27dag%27%2C%20ok%3DTrue

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 129,
    "unit": "dag",
    "unit_localized": "Day",
    "quantity": 1,
    "job_id": 48,
    "job_code": "APIJOB",
    "ok": true
  }
]
}